(add-to-list 'load-path "~/projects/org-mode/origin/lisp/")
(require 'org-install)
(require 'org)

;; Setup agenda files
(setq org-agenda-files '("/tmp/org/"))
(unless (file-exists-p "/tmp/org")
  (make-directory "/tmp/org"))

(with-current-buffer (find-file-noselect "/tmp/org/file1.org")
  (erase-buffer)
  (insert "* Headline to refile")
  (save-buffer))
(with-current-buffer (find-file-noselect "/tmp/org/file2.org")
  (erase-buffer)
  (insert "* Target for refile operation")
  (save-buffer))

(setq org-completion-use-ido t)
(ido-mode t)
(setq org-refile-targets '((org-agenda-files :level . 1) (org-agenda-files :maxlevel . 5)))
(org-agenda)

;; Debugging info
(insert
 (format "\n%s\n\n%s"
	 (org-version)
	 (emacs-version)))
Org-mode version 7.01trans (release_7.01h.496.g200f7.dirty)

GNU Emacs 23.2.1 (i486-pc-linux-gnu, GTK+ Version 2.20.0)
 of 2010-08-14 on raven, modified by Debian)
